Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1262 - ntpdate fails to properly update time after y2k
Summary: ntpdate fails to properly update time after y2k
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xntp3
Version: 5.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-21 14:18 UTC by trims
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-22 16:02:19 UTC


Attachments (Terms of Use)

Description trims 1999-02-21 14:18:56 UTC
Was doing some y2k testing on my machine, and found the
following problem:

[root@balrog /root]# date
Sun Feb 21 06:15:38 PST 1999
[root@balrog /root]# /etc/rc.d/init.d/xntpd stop
Shutting down xntpd:
[root@balrog /root]# date -s "Jan 1 00:00:00 2000"
Sat Jan  1 00:00:00 PST 2000
[root@balrog /root]# /usr/sbin/ntpdate tock.usnogps.navy.mil
 1 Jan 00:00:09 ntpdate[2359]: Can't adjust the time of day:
Invalid argument
[root@balrog /root]# date -s "Jan 1 00:00:00 1999"
Fri Jan  1 00:00:00 PST 1999
[root@balrog /root]# /usr/sbin/ntpdate tock.usnogps.navy.mil
21 Feb 06:16:21 ntpdate[2361]: step time server
204.34.198.41 offset 4428978.456832 sec
[root@balrog /root]# date
Sun Feb 21 06:16:28 PST 1999


Looks like ntpdate has an issue with the date format. I'll
try to chase it down tomorrow - though if someone want to
contact me, that would be fine, too.

I suspect the bug is valid on all architectures, though I'm
filing it for i386 because that's all I have to test on.

Comment 1 trims 1999-02-22 04:39:59 UTC
Ooh, my bad. Ntpdate actually has a problem with ANY date more than
approx 16 hours in the future.  I'll go back to reading the sources
now.  I'll followup shortly.  <sheepish grin>


Note You need to log in before you can comment on or make changes to this bug.